- job:
    name: build-rpm-obs
    project-type: freestyle
    defaults: global
    logrotate:
        daysToKeep: 30
        numToKeep: 30
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
    node: docker-buster
    disabled: true
    display-name: 'DELETE ME'
    parameters:
        - string:
            name: source
            description: 'url to src.rpm'
        - string:
            name: repo
            description: 'repository to upload to'
            default: 'linaro-staging'
    wrappers:
        - timestamps
        - credentials-binding:
            - text:
                credential-id: OSCRC_USER
                variable: OSCRC_USER
        - credentials-binding:
            - text:
                credential-id: OSCRC_PASS
                variable: OSCRC_PASS
    builders:
        - shell:
            !include-raw: build-package/builder-rpm.sh
    publishers:
        - email:
            recipients: 'packages@lists.linaro.org'
